#
# spec file for package sax (Version 2.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bindutil flex gpp hwinfo hwinfo-devel libgpp mysql-shared susedb tcl tcl-devel tix tk wget xdevel xshared yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip hwinfo hwinfo-devel kbd less libgpp libtool libz m4 make man mktemp modutils mysql-shared ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace susedb syslogd sysvinit tcl tcl-devel texinfo textutils timezone tix tk unzip util-linux vim wget xdevel xshared yacc

Name:         sax
%ifarch i386
Requires:     xvga16
%endif
Requires:     tix
Summary:      SuSE advanced X Configuration
Version:      2.9
Release:      245
Group:        X11/Applications 
Copyright:    GPL
Source:       sax.tar.bz2
Patch:        sax.dif

%description
SaX signifies SuSE advanced XF86 configurator and is a program
to configure the X Window System for the XFree86 version 3.3.x
rather easily.

Authors:
--------
    Marcus Schfer <ms@suse.de>

SuSE series: x

%prep
%setup -n sax
%patch 

%build
#
# copy 3x libs in front of the build
#
#cp /usr/X11R6/include/X11/extensions/xf86vmode_3x.h ./C++/xinfo/xf86vmode.h 
#cp /usr/X11R6/lib/libXxf86vm_3x.a  ./C++/xinfo/libXxf86vm.a
( cd ./build && make compile )

%install
export DOCS="INSTALL README"
( cd ./build && make install )
#
# make doc links
#
( rm -f /usr/X11R6/bin/sax && cd /usr/X11R6/bin && ln -s SaX sax )
( rm -f /usr/X11R6/bin/Sax && cd /usr/X11R6/bin && ln -s SaX Sax )
( rm -f /usr/X11R6/bin/saX && cd /usr/X11R6/bin && ln -s SaX saX )
#cp /var/X11R6/saxexport/config/* /var/X11R6/sax/config
%ifarch sparc sparc64
mv /var/X11R6/sax/bin/ScanPci /var/X11R6/sax/bin/ScanPci.old
( cd C++/sunprobe; install -s -m 755 sunprobe /var/X11R6/sax/bin; install -m 755 ScanPci /var/X11R6/sax/bin )
%endif
# export the minicdb data...
# ---------------------------
export ARCH=`/bin/arch`
export SUSE=`cat /etc/SuSE-release | grep VERSION | cut -f2 -d= | tr -d " "`
if [ ! "$SUSE" = "7.0" ] && [ ! "$SUSE" = "7.1" ];then
 SUSE="7.1"
fi
echo "exporting CDB data..."
case "$ARCH" in
 i386|i586|i686)
  ARCH="ia32" ;;
 ia64)
  ARCH="ia64" ;;
 ppc)
  ARCH="ppc" ;;
 alpha)
  ARCH="axp" ;;
 sparc|sparc64)
  ARCH="sparc" ;;
 *)
  echo "no CDB architecture found"
  ARCH="ia32" ;;
esac

%pre
#echo -n "Preparing tmp directories..."
( cd tmp && rm -rf sax )
( cd tmp && rm -rf /.sax_dir )
#echo "done"

%preun
#echo -n "Removing tmp data..."
( cd var/X11R6/sax/tmp && rm -f * )
#echo "done"

%post
chroot . /usr/bin/tclsh var/X11R6/sax/bin/PrepCDB

%files
%dir /usr/X11R6/bin
%dir /var/X11R6/sax
%dir /var/X11R6/sax/bin
%dir /var/X11R6/sax/config
%dir /var/X11R6/sax/pixmaps
%dir /var/X11R6/sax/tmp
#%dir /usr/doc/packages
#%dir /usr/doc/packages/sax
/usr/X11R6/bin/SaX
/usr/X11R6/bin/Sax
/usr/X11R6/bin/saX
/usr/X11R6/bin/sax
/var/X11R6/sax/bin/ScanPci
/var/X11R6/sax/bin/PrepCDB
/var/X11R6/sax/bin/GetModeline
/var/X11R6/sax/bin/SecureModeline
/var/X11R6/sax/bin/kprobe
/var/X11R6/sax/bin/mprobe
/var/X11R6/sax/bin/TestServer
/var/X11R6/sax/bin/TestRamdac
/var/X11R6/sax/bin/SaX.tcl
/var/X11R6/sax/bin/intro.tcl
/var/X11R6/sax/bin/Xinfo
/var/X11R6/sax/bin/fbset
/var/X11R6/sax/bin/ParseConfig
/var/X11R6/sax/bin/ParseXerr
/var/X11R6/sax/bin/xkbset
/var/X11R6/sax/bin/PrepConfig
/var/X11R6/sax/bin/PrepFileSection
/var/X11R6/sax/bin/RunMainSax
/var/X11R6/sax/bin/StartNewX
/var/X11R6/sax/bin/SetBackground
/var/X11R6/sax/bin/StartServer
/var/X11R6/sax/bin/UpdateConfig
/var/X11R6/sax/bin/mainsax.tcl
/var/X11R6/sax/bin/xfine.tcl
/var/X11R6/sax/bin/mset
/var/X11R6/sax/bin/wrap
%ifarch sparc sparc64
/var/X11R6/sax/bin/ScanPci.old
/var/X11R6/sax/bin/sunprobe
%endif
/var/X11R6/sax/config/CardData
/var/X11R6/sax/config/Chipsets
/var/X11R6/sax/config/Devices
/var/X11R6/sax/config/KbdLangData
/var/X11R6/sax/config/KbdModelData
/var/X11R6/sax/config/Modes
/var/X11R6/sax/config/StartConfig
/var/X11R6/sax/config/StartConfig.orig
/var/X11R6/sax/config/TestConfig
/var/X11R6/sax/config/MonitorData
/var/X11R6/sax/config/MouseData
/var/X11R6/sax/config/Protocols
/var/X11R6/sax/config/Xserver
/var/X11R6/sax/config/Identity
/var/X11R6/sax/config/text.de
/var/X11R6/sax/config/text.en
/var/X11R6/sax/config/text.fr
/var/X11R6/sax/config/text.it
/var/X11R6/sax/config/text.es
/var/X11R6/sax/config/text.pt_BR
/var/X11R6/sax/config/text.br
/var/X11R6/sax/config/text.nl
/var/X11R6/sax/config/text.hu
/var/X11R6/sax/config/text.pl
/var/X11R6/sax/config/text.pt
/var/X11R6/sax/config/text.sk
/var/X11R6/sax/config/text.ro
/var/X11R6/sax/config/text.el
/var/X11R6/sax/config/text.id
/var/X11R6/sax/config/text.ru
/var/X11R6/sax/config/text.tr
/var/X11R6/sax/config/text.sv
/var/X11R6/sax/config/text.cs
/var/X11R6/sax/config/text.ca
/var/X11R6/sax/config/text.ja
/var/X11R6/sax/config/text.ko
/var/X11R6/sax/config/xfinetext.de
/var/X11R6/sax/config/xfinetext.en
/var/X11R6/sax/config/xfinetext.fr
/var/X11R6/sax/config/xfinetext.it
/var/X11R6/sax/config/xfinetext.es
/var/X11R6/sax/config/xfinetext.pt_BR
/var/X11R6/sax/config/xfinetext.br
/var/X11R6/sax/config/xfinetext.nl
/var/X11R6/sax/config/xfinetext.hu
/var/X11R6/sax/config/xfinetext.pl
/var/X11R6/sax/config/xfinetext.pt
/var/X11R6/sax/config/xfinetext.sk
/var/X11R6/sax/config/xfinetext.ro
/var/X11R6/sax/config/xfinetext.el
/var/X11R6/sax/config/xfinetext.id
/var/X11R6/sax/config/xfinetext.ru
/var/X11R6/sax/config/xfinetext.tr
/var/X11R6/sax/config/xfinetext.sv
/var/X11R6/sax/config/xfinetext.cs
/var/X11R6/sax/config/xfinetext.ca
/var/X11R6/sax/config/xfinetext.ja
/var/X11R6/sax/config/xfinetext.ko
/var/X11R6/sax/config/saxrc
/var/X11R6/sax/config/.fvwm2rc
/var/X11R6/sax/pixmaps/monitor.xpm
/var/X11R6/sax/pixmaps/setup.xpm
/var/X11R6/sax/pixmaps/dark.xpm
/var/X11R6/sax/pixmaps/101key.xpm
/var/X11R6/sax/pixmaps/102key.xpm
/var/X11R6/sax/pixmaps/104key.xpm
/var/X11R6/sax/pixmaps/brazil.xpm
/var/X11R6/sax/pixmaps/pc98.xpm
/var/X11R6/sax/pixmaps/arrow_down.xbm
/var/X11R6/sax/pixmaps/arrow_up.xbm
/var/X11R6/sax/pixmaps/dell.xpm
/var/X11R6/sax/pixmaps/everex.xpm
/var/X11R6/sax/pixmaps/japanese106.xpm
/var/X11R6/sax/pixmaps/natural.xpm
/var/X11R6/sax/pixmaps/omnikey101.xpm
/var/X11R6/sax/pixmaps/winbook.xpm
/var/X11R6/sax/pixmaps/keytronic.xpm
/var/X11R6/sax/pixmaps/kvidtune-down.xpm
/var/X11R6/sax/pixmaps/kvidtune-left.xpm
/var/X11R6/sax/pixmaps/kvidtune-narrower.xpm
/var/X11R6/sax/pixmaps/kvidtune-right.xpm
/var/X11R6/sax/pixmaps/kvidtune-shorter.xpm
/var/X11R6/sax/pixmaps/kvidtune-taller.xpm
/var/X11R6/sax/pixmaps/kvidtune-up.xpm
/var/X11R6/sax/pixmaps/kvidtune-wider.xpm
%doc %{_defaultdocdir}/sax/INSTALL
%doc %{_defaultdocdir}/sax/README
%doc %{_defaultdocdir}/sax/NOTES
%doc %{_defaultdocdir}/sax/LICENCE
%doc %{_defaultdocdir}/sax/HOWTO.de
%doc %{_defaultdocdir}/sax/HOWTO.fr
%doc %{_defaultdocdir}/sax/HOWTO.it
%doc %{_defaultdocdir}/sax/HOWTO.en
%doc %{_defaultdocdir}/sax/HOWTO.es
%doc %{_defaultdocdir}/sax/HOWTO.pt_BR
%doc %{_defaultdocdir}/sax/HOWTO.br
%doc %{_defaultdocdir}/sax/HOWTO.nl
%doc %{_defaultdocdir}/sax/HOWTO.hu
%doc %{_defaultdocdir}/sax/HOWTO.pl
%doc %{_defaultdocdir}/sax/HOWTO.pt
%doc %{_defaultdocdir}/sax/HOWTO.sk
%doc %{_defaultdocdir}/sax/HOWTO.ro
%doc %{_defaultdocdir}/sax/HOWTO.el
%doc %{_defaultdocdir}/sax/HOWTO.id
%doc %{_defaultdocdir}/sax/HOWTO.ru
%doc %{_defaultdocdir}/sax/HOWTO.tr
%doc %{_defaultdocdir}/sax/HOWTO.sv
%doc %{_defaultdocdir}/sax/HOWTO.cs
%doc %{_defaultdocdir}/sax/HOWTO.ca
%doc %{_defaultdocdir}/sax/HOWTO.ja
%doc %{_defaultdocdir}/sax/HOWTO.ko

%changelog -n sax
* Thu Sep 20 2001 - ro@suse.de
- removed another line in specfile referring to the old export
* Wed Sep 19 2001 - ms@suse.de
- removed export from need for build
- removed x11db connect from spec file
- the "grp:shift_toggle" XkbOption is not needed any more.
- changed the definition of the Slovak keyboard to be similar to the
  czech definition. (But the Slovak keyboard is not in the list of the
  keyboards...)
* Tue Aug 21 2001 - ms@suse.de
- fixed czech layout names cs -> cz ; cs_qwerty -> cz_qwerty
* Mon Aug 20 2001 - ms@suse.de
- fixed czech keyboard section stuff
* Tue Jun 19 2001 - ms@suse.de
- fixed mouse detection if more than one mouse
  is connected
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Thu May 03 2001 - ms@suse.de
- removed .../fonts/misc FontPath from mainsax.tcl and
  PrepFileSection
* Fri Apr 06 2001 - ms@suse.de
- use xf86version to detect the correct X11 usage
* Wed Mar 28 2001 - ms@suse.de
- remove usage of readlink which is part of tetex
* Tue Mar 20 2001 - ms@suse.de
- use /var/log... for log files not the home dir. of the root user
- update HOWTO`s
* Thu Mar 15 2001 - ms@suse.de
- add xshared to need for build
- update help text for version conflict
* Wed Mar 14 2001 - ro@suse.de
- fix link sequence for xinfo
* Wed Mar 14 2001 - ms@suse.de
- use native libXxf86vm since the xmods_3x package was dropped
* Wed Mar 14 2001 - ro@suse.de
- fixed linking for xkbset and mset
* Sun Mar 11 2001 - ms@suse.de
- removed xmods_3x from neededforbuild
* Fri Mar 09 2001 - ms@suse.de
- removed 3.3.x libs from spec file
* Tue Jan 23 2001 - ms@suse.de
- removed /usr/X11R6/lib/X11/fonts/truetype Font Path
* Fri Jan 12 2001 - ms@suse.de
- increase version number for SaX -> SaX 2.9
  This is hopefully the last change in front of the master :-)
* Tue Jan 09 2001 - ms@suse.de
- fixed Xserver package adaption
- changed spec file
* Mon Dec 18 2000 - ms@suse.de
- fixed spec file
- activate mini-cdb export
* Thu Dec 14 2000 - ms@suse.de
- added .ja .ko translations
- fixed spec file
* Tue Dec 12 2000 - ro@suse.de
- added hwinfo to neededforbuild
* Mon Dec 11 2000 - ro@suse.de
- fixed group tag for the umpteenth time
- fixed neededforbuild (again ...)
* Mon Dec 11 2000 - ms@suse.de
- add new japanese and korean translation
* Wed Dec 06 2000 - ms@suse.de
- fixed mouse detection bug
* Tue Dec 05 2000 - ms@suse.de
- update mouse detection code ( libhd )
* Thu Nov 30 2000 - ms@suse.de
- add mfabian@suse.de patch for korean support
- removing build of static libs
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Oct 27 2000 - ms@suse.de
- add korean font path
- changed XFree86 message text
* Tue Sep 26 2000 - ms@suse.de
- fixed sw_cursor bug while reading existing configuration
  ( Additional Setting for the mouse was missing )
* Mon Sep 18 2000 - ms@suse.de
- fixed escape sequence bug in SaX startup script
* Tue Aug 22 2000 - ms@suse.de
- added new FontPath "/usr/X11R6/lib/X11/fonts/latin2/Type1"
* Mon Jul 24 2000 - ms@suse.de
- using /usr/bin/tclsh instead of the static shell
  the static shell does no longer work with Tcl 8.3 :(((
* Thu Jul 20 2000 - ms@suse.de
- fixed typos
- fixed mprobe with multiple devices
* Thu Jul 13 2000 - ms@suse.de
- security fix: using /tmp/sax and /tmp/.sax_dir
  directories.
- using sux (xauth) instead of xhost +localhost
* Wed Jul 12 2000 - ms@suse.de
- fixed memory detection bug
* Mon Jul 10 2000 - kukuk@suse.de
- Fix support for YaST on SPARC
* Thu Jul 06 2000 - ms@suse.de
- fixed RestoreFvwmConfig bug
- add 1400x1050 mode
* Wed Jul 05 2000 - kukuk@suse.de
- real sparc framebuffer selection fix
* Tue Jul 04 2000 - ms@suse.de
- fixed sparc framebuffer selection
- fixed sparc startup... note /dev/fb must not be bussy
- fixed wm config restore
* Mon Jun 26 2000 - ms@suse.de
- fixed FontPath order
* Fri Jun 23 2000 - ro@suse.de
- link wrap with -lXext
* Wed Jun 21 2000 - ms@suse.de
- fixed link environment call
* Tue Jun 20 2000 - ms@suse.de
- fixed Identity
* Fri Jun 16 2000 - ms@suse.de
- fixed Xinfo.c
* Thu Jun 08 2000 - ms@suse.de
- fixed tix bug within mainsax.tcl
* Tue Jun 06 2000 - kukuk@suse.de
- Don't require xvga16 on sparc
* Tue May 30 2000 - ms@suse.de
- fixed imps/2 detection
- fixed SaX to be prepared for Xsun Xsun24 and XsunMono servers
  ( configuration is automated )
- add TestLink function to create linkenvironment for
  XFree86 4.0 or 3.3.x
* Tue May 30 2000 - kasal@suse.de
- Fixed a gramatical error in Czech texts
- Cosmetic changes to Czech and English texts
* Wed May 24 2000 - ms@suse.de
- fixed spec file ( add xmods_3x requirement )
* Mon May 22 2000 - ms@suse.de
- using 3.3.x vidmode extension libs
- fixed Xinfo.c
- update to libtcl8.3
* Fri May 19 2000 - ms@suse.de
- fixed getmode and securemode includes
* Tue May 09 2000 - ms@suse.de
- add mouse detection using libhd.a
- fixed spec file ( prepared for SuSE 7.0 )
- fixed documentation viewer within mainsax.tcl
- fixed Xinfo to build without libXaw
* Tue May 09 2000 - ms@suse.de
- add kprobe detection using libhd.a
- autodetection of sun/sparc keyboards within
  ( PrepConfig and mainsax.tcl )
- add type4 type5 type5_euro keyboard entries
* Mon May 08 2000 - ms@suse.de
- fixed hellas font path order
- fixed keyboard detection on sparc
* Tue Apr 18 2000 - ms@suse.de
- fixed Identity ( TI cards )
* Wed Apr 05 2000 - ms@suse.de
- fixed PrepConfig to work with live CD
* Thu Mar 30 2000 - ms@suse.de
- add catalan texts
- fixed SaX.tcl ( startup messages )
* Tue Mar 28 2000 - ms@suse.de
- add slovak texts
* Tue Mar 28 2000 - olh@suse.de
- remove vga16 from Requires in archs other than i386,sparc
* Thu Mar 23 2000 - ms@suse.de
- add spanish texts
* Tue Mar 07 2000 - ms@suse.de
- fixed UpdateConfig script
* Mon Mar 06 2000 - ms@suse.de
- fixed Identity
* Sat Mar 04 2000 - sndirsch@suse.de
- added additional fonts
* Mon Feb 28 2000 - ms@suse.de
- add new SuSE cover SuSE Linux 6.4
- add possibility of keyboard switch to czech on the fly
* Mon Feb 28 2000 - ms@suse.de
- fixed fontpath for czech map
* Sat Feb 26 2000 - ms@suse.de
- add suport for czech keyboards
- fixed bug while parsing keyboard section
* Thu Feb 24 2000 - ms@suse.de
- add TGA support
* Mon Feb 14 2000 - ms@suse.de
- allways force execution of SaX on a singe server
* Mon Feb 14 2000 - ms@suse.de
- added additional font paths
* Thu Feb 10 2000 - ms@suse.de
- fixed rage128 detection
* Mon Feb 07 2000 - ms@suse.de
- Identitiy update ( new i810 entries )
* Mon Jan 17 2000 - ms@suse.de
- fixed Identity
* Thu Dec 23 1999 - ms@suse.de
- added GeForce identies
* Mon Dec 20 1999 - ms@suse.de
- fixed package name xrage128 -> xrage
- add rage128 identities
- try to start using fbdev if no VGA16 fallback fails
* Thu Dec 02 1999 - ms@suse.de
- fixed focus bug
* Tue Nov 30 1999 - ms@suse.de
- modified SaX.tcl and StartNewX to be able to run
  sax using  >> sax -s fbdev <<
* Mon Nov 29 1999 - ms@suse.de
- next focus fix
* Fri Nov 26 1999 - ms@suse.de
- add mset and Xinfo patch from Thomas Biege
* Thu Nov 25 1999 - ms@suse.de
- fixed Identity
* Tue Nov 09 1999 - ms@suse.de
- add HOWTO.pt_BR
* Fri Nov 05 1999 - ms@suse.de
- fixed GPM_PARAM bug
* Wed Nov 03 1999 - ms@suse.de
- fixed Makefile ( add wrap program )
- add wrap.c X11 program
- fixed Makefile to compile mset and wrap
- fixed Tk Keyboard event bug. The focus is now forced to
  the toplevel window and the mouse is set in it
- fixed raise condition ( call SetPointer if toplevel is raised )
* Wed Nov 03 1999 - ms@suse.de
- fixed language typos
* Wed Nov 03 1999 - ms@suse.de
- add videoram fix --> only matrox cards 0x102b need it
* Tue Nov 02 1999 - ms@suse.de
- fixed Identity
- fixed german HOWTO ( HOWTO.de )
* Sun Oct 31 1999 - ro@suse.de
- copy files from (sax)export and add them to the filelist
* Fri Oct 29 1999 - ms@suse.de
- added rage128 and intel 810 identies
* Thu Oct 28 1999 - ms@suse.de
- add SuSE 6.3 cover
* Thu Oct 28 1999 - ro@suse.de
- fixed neededforbuild
* Wed Oct 27 1999 - ms@suse.de
- fixed PrepCDB: do not convert CardData and MonitorData
  cause it`s done by saxexport
- fixed spec file
- added two new server i810 and rage128
* Tue Oct 26 1999 - ms@suse.de
- add saxexport tool to export vshop CDB data from
  adabas database ( written by < Marc Ruehrschneck mac@suse.de > )
- fixed spec file
* Mon Oct 25 1999 - ms@suse.de
- changed tixwish startup sequence
* Sun Oct 24 1999 - ms@suse.de
- added new CDB data from Marc`s saxexport tool
- disable CDB connect temporarly...
* Wed Oct 20 1999 - ms@suse.de
- added russian startup message
* Fri Oct 15 1999 - ro@suse.de
- completed switch to tcl/tk 8.0
- rebuild static tix/tclsh for non-x86
* Thu Oct 14 1999 - ms@suse.de
- fixed Makefile  ( do not compile sam shells )
- fixed spec file ( remove _new requirements  )
* Thu Oct 14 1999 - ms@suse.de
- fixed locale code in SaX, SaX.tcl, intro.tcl, mainsax.tcl, xfine.tcl
  changed br -> pt_BR
  changed bz -> br
- fixed fbdev support in mainsax.tcl
- fixed spec file ( includes from max@suse.de ) plus file list
  changes ( ms@suse.de )
* Thu Oct 07 1999 - ms@suse.de
- add update event in mainsax.tcl (during exec of StartServer)
* Thu Oct 07 1999 - ms@suse.de
- speed up server start in StartServer skript
* Thu Oct 07 1999 - ms@suse.de
- fixed timeout while starting server (StartServer)
- fixed raise condition in mainsax.tcl
* Thu Oct 07 1999 - ms@suse.de
- fixed typos in text.bz (unmatched quotes)
* Thu Oct 07 1999 - ms@suse.de
- added installation of xfinetext.bz, text.bz and HOWTO.bz
* Thu Oct 07 1999 - ms@suse.de
- added breton support with text.bz and xfinetext.bz
- added breton HOWTO
- set FontPath for Breton language (latin1) in PrepFileSection
- added SPEECH variable in PrepConfig
- changed help messages in SaX and SaX.tcl
- adapted breton language to SaX.tcl, intro.tcl, xfine.tcl and mainsax.tcl
- fixed virtual resolution bug in mainsax.tcl
* Wed Oct 06 1999 - ms@suse.de
- fixed font setting ( removing -120- size point to -*- )
- added fbset support in mainsax.tcl
- changed build/Makefile install of fbset utility
- changed C++/xinfo/ tree add fbset source
  changed C++/xinfo/Makefile compile fbset
* Tue Sep 07 1999 - ms@suse.de
  intro.tcl:
- use tcl_new up to know
  xfine.tcl:
- use tcl_new up to know
  mainsax.tcl:
- use tcl_new up to know
- changed standard font to helvetica
- changed about box ( show version )
- changed config file box ( show the filename too )
- changed file-save dialog ( add default values /etc/* and XF86Config )
* Mon Sep 06 1999 - ms@suse.de
- fixed bug in OptionList ( --ramdac is set but not used )
- fixed bug in reading configuration header ( RAMDAC value is not used )
* Tue Aug 31 1999 - ms@suse.de
  KbdLangData:
- added brazilian and pc98 series ( keyboard )
  KbdModelData:
- added brazilial and pc98 layouts, pixmaps and
  configuration parameter for those keyboards
  File list changed:
  + brazil.xpm
  + pc98.xpm
* Thu Aug 12 1999 - ms@suse.de
  Identity:
- added a lots of new cards into the Identity file
  parse.c
- added the module section to the ParseConfig parser
  mainsax.tcl:
- added config support for the glx module in the
  Module Section ( reread from the configuration )
* Mon Aug 02 1999 - ms@suse.de
- added some new cards into the Identity file
* Wed Jul 28 1999 - ms@suse.de
- added HOWTO.pl
* Mon Jul 26 1999 - ms@suse.de
- added howtos for the languages: cs,hu,nl
* Thu Jul 22 1999 - ms@suse.de
- added architecture check for alpha and intel to give
  a better message if scanning of PCI bus on alpha`s
  does not lead to an exactly X-Server. In normal case
  we will switch to the VGA16 fallback, but this is
  not possible on alpha machines.
* Wed Jul 21 1999 - ms@suse.de
- added Indonesian HOWTO
- fixed wrong Italian HOWTO
* Wed Jul 21 1999 - ms@suse.de
- added Catalan and Spanish howtos
* Tue Jul 20 1999 - ms@suse.de
- added new text.sk file
  updated from Martin Lohner <ml@suse.de>
* Mon Jul 19 1999 - ms@suse.de
- added translation for intro.tcl ( Catalan )
* Mon Jul 19 1999 - ms@suse.de
  intro.tcl:
- fixed bug, if indonesian language is choosen
  we got the greek message.
- added catalan welcome message ( as english version )
  xfine.tcl:
- fixed bug, cs was not selectable
- added catalan selection
  mainsax.tcl:
- added catalan menu entry ( menu is not displayed any longer )
  SaX, SaX.tcl:
- added catalan to help menu
  Makefile:
- added text.ca and xfinetext.ca to the build tree
- added HOWTO.ca to the build tree
  New files:
- added Catalan HOWTO.ca ( english version )
- added new language Catalan: text.ca and xfinetext.ca
* Tue Jul 13 1999 - ms@suse.de
- incorp patch from Egbert Eich into StartNewX and TestServer
  file. It is used to get the max. fixed clock value if no
  programable clock chip exists.
* Tue Jul 13 1999 - ms@suse.de
- modification in text.es was made
* Mon Jul 12 1999 - ms@suse.de
- added new spanish texts: text.es xfinetext.es
* Fri Jul 09 1999 - ms@suse.de
- fixed wrong configuration option in KbdModelData
  ( pc(101) =>  pc(pc101) )
* Fri Jul 09 1999 - ms@suse.de
- added new background picture for SuSE Linux 6.2
* Fri Jul 09 1999 - ms@suse.de
- changed size of monitor expert dialog
* Thu Jul 08 1999 - ms@suse.de
- added new option to TestServer skript to decide
  if we want testing on hard server limit or using the
  10%% security buffer
- added checkboxes for card and monitor expert mode
  to activate or deactivate hard limit.
* Thu Jul 08 1999 - ms@suse.de
- fixed wrong Identity entries... Network device ID`s
  aren`t graphics cards :-)) time to go home
* Thu Jul 08 1999 - ms@suse.de
- SaX, SaX.tcl: added new option [ -f | --force ] to force
  execution of SaX on the currently running server.
- mainsax.tcl: added -f option too
* Wed Jul 07 1999 - ms@suse.de
- added 120Hz / 100Khz border limit for decreasing
  function ( 10%% )
- fixed bug: maximum value should not less than the minimum
  value :-)
- fixed bug: changes made manually should not
  changed by SaX... (*urgl*)
- fixed bug: losing local grab while reading CDB data
  is now fixed
* Tue Jul 06 1999 - ms@suse.de
- fixed wrong server links in /var/X11R6/sax/config/Identity
* Tue Jul 06 1999 - ms@suse.de
- fixed card name bug. Some cards aren`t displayed
  any more...
- treat unknown- state as unsupported
* Tue Jul 06 1999 - ms@suse.de
- added some card entries for auto detection
  ( e.g. Matrox MGA G400 )
- changed SaX start skript ( set DISPLAY in any case )
* Tue Jul 06 1999 - ms@suse.de
- added SuSE 6.2 cover and logo
* Sun Jul 04 1999 - ms@suse.de
- ScanPci: piped standard error and standard output to
  list. This is needed for newer glibc versions
  which handle exec statements on standard error
- mainsax.tcl: include virtual item as comment to XF86Config
  decrease the CDB Monitor maximum range to 10%%
* Thu Apr 29 1999 - ms@suse.de
- changed width of status meter
* Thu Apr 29 1999 - ms@suse.de
- added text.ro and xfinetext.ro
* Fri Apr 16 1999 - ml@suse.de
- Pfad fr griechisch von latin2 auf latin7 gendert.
* Thu Apr 15 1999 - ms@suse.de
- PrepFileSection: changed latin2 to latin7 font for greek
  full fix for dirty hack of Martin <ml@suse.de> :-)
- mainsax.tcl:     added new language Czech
  disable language menu
  changed latin2 to latin7 font greek
- intro.tcl:       added translations for all languages
  ( SaX Version 2.8. Please wait )
- SaX:             added cs to help function
- SaX.tcl:         added new language cs
  added cs to help function
- added HOWTO.cs as english version.
- modified text.el
- modified Makefile: new files are text.cs, xfinetext.cs
  and HOWTO.cs
* Wed Apr 14 1999 - ms@suse.de
- disabled language menu button
  ( this is only a test, we can enable it again )
* Wed Apr 14 1999 - ms@suse.de
- include all bindings into catch blocks. this prevents
  errors if any binding is not bound to a key or something else
- added greek
* Sat Apr 10 1999 - ms@suse.de
- added text.br xfinetext.br
- added text.ru xfinetext.ru
- added text.sk xfinetext.sk
* Fri Apr 09 1999 - ms@suse.de
- xfine.tcl: There was a problem in saving changed modelines.
  xfine stores the current modeline by asking the Server for it.
  This modeline differs a little bit from the modeline SaX
  has calculated in a few cases. The GetSavedClock function equals
  the different parts of the modelines if necessary.
- TestRamdac: if we have fixed clocks use the maximum value of
  the fixed clocks instead of the maximum possible value according
  to the server messages.
- TestServer: same changes as in TestRamdac
* Thu Apr 08 1999 - ms@suse.de
- second level in international language support:
  fixed MakeFileSection: according to the language
  the FontPath order is changed and the correct
  FontPath is set first.
* Thu Apr 08 1999 - ms@suse.de
- first level in international language support:
  added PrepFileSection: This script generate the Section File
  for the SaX StartConfig file according to the selected
  configuration language
- SaX.tcl: modified sequenze
  1) run PrepConfig
  2) run PrepFileSection
  3) Start Server
- mainsax.tcl: changed font settings Adobe => is *
  xfine.tcl:   changed font settings Adobe => is *
- removed Files Section from StartConfig and StartConfig.orig
  is now created through PrepFileSection
* Thu Apr 01 1999 - ms@suse.de
- changed listing: Only supported cards are listed in the
  card section. the "unsupported" card entries are not listed
  because some people use the SaX list as reference for
  supported cards.
- incorp the sax_sndirsch patch, thank you stefan :-)
* Thu Mar 25 1999 - sndirsch@suse.de
- added SIS Server for SiS 530/620 in Xserver and Identify
* Wed Mar 24 1999 - sndirsch@suse.de
- added patch for Identity and Xserver file: some servers don't
  exist any more; have a look at the patch if you want to know
  exactly what has changed ...
* Wed Mar 24 1999 - ms@suse.de
- incorp sax_sndirsch patch
- if CDB says unknwon+ => we handle this as supported now :)
* Mon Mar 22 1999 - ms@suse.de
- added new Identity entry
- added internal scripts ( use to create Identity file )
* Sun Mar 21 1999 - ms@suse.de
- added new background picture SuSE Linux 6.1
- added some new languages
- added voodoo and banshee support
* Sat Mar 13 1999 - ms@suse.de
- new version 2.8
- fixed XInput problem ( section only as comments )
- some bug fixes
- added languages like YaST international version
* Mon Mar 08 1999 - ms@suse.de
- added international language texts
* Wed Mar 03 1999 - ro@suse.de
- another try to get PrepCDB working from inst-sys
* Tue Mar 02 1999 - ro@suse.de
- call tcl-shell to exec PrepCDB
* Tue Mar 02 1999 - ro@suse.de
- removed leading / in pre,post...
* Fri Feb 26 1999 - ms@suse.de
- create start links if the file save
  dialog is used to store the configuration
* Fri Feb 19 1999 - ms@suse.de
- changed xfine.tcl and added some new features
  ( configure more than one mode on one running server )
- adapted mainsax.tcl to new xfine.tcl
- changed UpdateConfig script
* Thu Feb 18 1999 - ms@suse.de
- SaX.tcl ( bugfix ) X Protokoll in using /dev/gpmdata is
  allways MouseSystems
- StartNewX ( feature ) changed sleep 7 to look at the
  /tmp/.X11-unix/X..  socket. If there start stuff
- mainsax.tcl ( feature ) accelerate the reading process
  of the data files. This requires the added PrepCDB
  tcl skript, which formats the CDB files first.
- PrepCDB is called after installing ( spec file )
* Tue Feb 16 1999 - ms@suse.de
- added new format feature in HF,VF format string
* Wed Feb 10 1999 - ms@suse.de
- set default language to en
- read LANGUAGE=.. var from rc.config
* Fri Jan 29 1999 - ms@suse.de
- fixed monitor selection bug
- fixed option validation
* Mon Jan 25 1999 - ms@suse.de
- updated some config data files
* Fri Jan 22 1999 - ms@suse.de
- added two options [ -O , -C ] set optionlist
  and/or Chipset
* Thu Jan 21 1999 - ms@suse.de
- fixed sync range 29-74, 47-90
- added --auto detect-- selection in card dialog
* Thu Jan 07 1999 - ms@suse.de
- fixed bug in inserting new modes
- added rereading of modelines from existing configuration
* Mon Jan 04 1999 - ms@suse.de
- changed SuSE background to version 6.0
- added RedHat compatiblity ( Could not determine mouse settings jet )
* Tue Dec 22 1998 - ms@suse.de
- added RamDac test script
- fixed spec file ( new file entry )
- added automatic test of ramdac speed if
  needed
* Sun Dec 20 1998 - ms@suse.de
- removed GPM as protocoltype ( wrong entry )
- fixed keyboard language bug
- fixed parse virtual bug
- fixed read resolution bug
- use killall for killing gpm instead of gpm -k
- added gpm repeater functions
* Mon Dec 14 1998 - ms@suse.de
- added tip for testing in color depth which is
  needed on NoteBooks and older cards
* Mon Dec 14 1998 - ms@suse.de
- bad fix for TixComboBox Mouse bug ( Moved Window )
- changed sed statement in PrepConfig
- set standard DISPLAY to :0 if DISPLAY is not set
- use printf instead of cout ( glibc/libc5 support )
* Mon Dec 14 1998 - bs@suse.de
- another try to kill this hard core cdb server.
* Mon Dec 14 1998 - ms@suse.de
- added Marcs security patches
- added su - to root if you run sax without root
  privilegs
- use -9 to kill cdb server
* Sun Dec 13 1998 - ms@suse.de
- fixed window size
- removed emulate3Buttons as standard
- fixed Xservers file -> SVGA no PACK information
- fixed MOUSE="" bug
- added fixed standard for freqs if not included in CDB
- changed fvwm start -> start only if --wm ... is set
* Fri Dec 04 1998 - ms@suse.de
- added auto apply of keyboard functions
- added auto popup of mouse expert dialog because of
  rather less mouse descriptions
* Tue Dec 01 1998 - ms@suse.de
- added english documentation
- fixed focus problem by using an optional
  windowmanager ( default is fvwm2 )
- use LANG variable to set keyboard description on
  SaX startup
- added keyboard test area
- fixed position/size bug
- changed intro timeout to 5000ms
- added config saving to alternate file
- changed some texts
* Mon Nov 23 1998 - ms@suse.de
- fixed start config for sax:
  added new modeline list for initial start
* Thu Nov 19 1998 - ms@suse.de
- fixed color scheme for use in vga16 mode
* Thu Nov 19 1998 - ms@suse.de
- added direct key binding to msgframe function
- fixed Identity file MATROX is SVGA
- fixed text.en file because of double bindings
* Thu Nov 19 1998 - ms@suse.de
- fixed spec file: added tix to needed for build
* Wed Nov 18 1998 - ms@suse.de
-fixed Makefile for installing dark.xpm
  pixmap
* Wed Nov 18 1998 - ms@suse.de
- fixed spec file
- fixed makefile for static tcl shells
  looking for installed tcl,tix and tklibs
* Wed Nov 18 1998 - ms@suse.de
- new version of sax ( version 2.7 )
- SaX V 2.7 is bugfix version of SaX 1.0
- new features are:
  1) keyboard usage is fully implemented
  2) GUI is rather new and adapted to windows like
  setup programms
  3) more modi can be configured
  4) one time creation of dialogs, actual state is
  stored
  5) improved mouse configuration.
  6) use CDB data, but configuration can also done
  if CDB data are wrong. This is for my own security :-)
  7) use static tclsh and tixwish to ensure everybody
  can start SaX with and without the tcl/tk packages
  8) There are some more new features, which I could not all
  list here. Just have a look at the new version :-)
* Fri Aug 28 1998 - ms@suse.de
- fixed clock calculation bug
- added new Identity entry ( 3dlabs device TI )
* Wed Aug 05 1998 - bs@suse.de
- use ps and and while loop to kill all sub processes of CdbRun
* Fri Jul 31 1998 - ms@suse.de
- added NeoMagic device and vendor id 0x10c8 0x0004
* Fri Jul 31 1998 - ms@suse.de
- added VGA16 fallback if server is not installed
  and ScanPci want them
  ( is needed if YaST could not install the server )
* Fri Jul 31 1998 - ms@suse.de
- fixed serial mouse bug
  ( lost mouse device while switching between X servers )
* Fri Jul 31 1998 - ms@suse.de
- fixed SEE field hang up bug
  ( if there is a pointer to "nothing" in the CDB we should
  recognize this )
- added Key-Return bindings to all button widget
  ( Everybody wants this feature :-) )
- fixed ScanPci`s scanpci call to an absolut path
* Thu Jul 30 1998 - ms@suse.de
- fixed TestServers bug in scanning videoram
  ( you can see the effect only on ISA cards )
* Thu Jul 30 1998 - ms@suse.de
- fixed tcl Slider widget bug :-(
  ( Flash it manually )
* Thu Jul 30 1998 - ms@suse.de
- fixed proc GetGpmData
* Wed Jul 29 1998 - ms@suse.de
- added own wish which is compiled staticaly
- ScanPci uses own wish
* Wed Jul 29 1998 - ms@suse.de
- added tty hack ( should be removed if YaST handles with ttySX
  instead of cuaX )
* Tue Jul 28 1998 - ms@suse.de
- added accelerator keys on all toplevels
- changed serial mouse device too tty instead of cua
* Tue Jul 28 1998 - ms@suse.de
- changed setup.xpm background picture
- changed size of device field ( not enough space to work :-) )
* Tue Jul 28 1998 - ms@suse.de
- added writing .saxrc while toggle the language
* Tue Jul 28 1998 - ms@suse.de
- fixed mset tool
- changes mouse font to fixed
* Tue Jul 28 1998 - ms@suse.de
- fixed focus problem
- changed mouse entries ( like YaST )
* Mon Jul 27 1998 - ms@suse.de
- added an entry in MouseDrivers file
- changed mouse configuration ( use rc.config GPM_PARAM )
- added mouse applying
* Mon Jul 27 1998 - ms@suse.de
- fixed option string bug ( Option ""bla"" )
* Fri Jul 24 1998 - ms@suse.de
- fixed spec file
- added comment in config file
* Fri Jul 24 1998 - ms@suse.de
- fixed StartSetup script
  if sax has been started on a running server and the
  file ~/ServerLog exists, use it for defaults
* Fri Jul 24 1998 - ms@suse.de
- added GetPid function to StartSetup and
  StartServer script
* Thu Jul 23 1998 - ms@suse.de
- fixed finish text
- moved keyboard auto apply to the end of
  the file reading process
* Thu Jul 23 1998 - ms@suse.de
- added apply mechanism to edit section
  dialog
* Thu Jul 23 1998 - ms@suse.de
- fixed bug in autodetection of Server
- make xfine able to read .saxrc
* Wed Jul 22 1998 - ms@suse.de
- added .saxrc in /var/X11R6/sax to set language
- fixed monitor selection
- fixed spec file ( touch .saxrc )
- added language specific applying of the
  keyboard description
* Tue Jul 21 1998 - ms@suse.de
- added LCD/TFT Monitor defaults
* Tue Jul 21 1998 - ms@suse.de
- export new cdb data
- fixed card time bug
* Mon Jul 20 1998 - ms@suse.de
- fixed bug
* Mon Jul 20 1998 - ms@suse.de
- added mechanism for reading multi lingual
  mini Howto files ( didn`t have text for french and Italian )
* Fri Jul 17 1998 - ms@suse.de
- added NLS support for xfine
* Thu Jul 16 1998 - ms@suse.de
- fixed bug in the cards expert mode
  ( Server selection )
* Thu Jul 16 1998 - ms@suse.de
- added french and italian texts
- incorp some new features
- fixed StartSetup and StartServer Skripts
* Wed Jul 15 1998 - ms@suse.de
-added automaticaly CDB update to spec file
-fixed some bugs in SaX
-change Identity file in /var/X11R6/sax/
-fixed ScanPci skript to work with YaST using option -d "yast"
* Sun Jul 12 1998 - ms@suse.de
- added NLS support ( de,en,fr,it )
* Tue Jun 30 1998 - ms@suse.de
- fixed some bugs
- added PCI scan routines
- renamed programm to sax ( suse advanced X configuration )
* Wed Apr 15 1998 - ms@suse.de
- first Version Xsetup ( 1.0 )
